Dunlop workflow tool system
================================

Installation
---------------------------------------
To use Dunlop in your project add it to your Gemfile
```ruby
gem 'dunlop'
```
and create the project scaffold:
```
rails generate dunlop:install
```

Generators
---------------------------------------

### source_file
To add a source file to your project use the <tt>source_file</tt>
generator:
```
rails generate source_file planned_dslams
```
<strong>NOTE: do a git commit before you use a generator!</strong>
Possible options for the generator are:

* `--sql` to add scaffold sql templates to load data using sql
* `--source_record` if the data is loaded into a connected SourceRecord
  model associated with the latest loaded source file.
* `--attributes="Attr 1" "Attr 2" attr_3` to list the header columns of
  the source file. The attributes will be assumed to have an underscored
  column name form with spaces replaced by underscores. Default column
  type will be string. It is meant as a fast and good start, not a final
  result.

So to generate a full featured source file the following will work:
```
rails generate source_file planned_dslams --sql --source_record --attributes="Attr 1" attr_etc
```

### dunlop:scenario
To add a scenario to your project:
```
rails generate dunlop:scenario VulaMigration
```
